mode server
tls-server
local {{ ips | ansible.utils.ipv4 | first }}
port {{ ports.openvpn[0]  | default(80) }}
ca /etc/leap/ca/leap_ca_bundle.crt
cert /etc/credentials/sspki/openvpn/cert.pem
key /etc/credentials/sspki/openvpn/private.key
dh /etc/leap/keys/dh.pem
data-ciphers AES-256-GCM:CHACHA20-POLY1305
{% if openvpn_dco_enabled is defined and openvpn_dco_enabled == false -%}
disable-dco
{% endif %}
tls-version-min 1.2
dev tun
duplicate-cn
keepalive 10 30
mute-replay-warnings
mute 5
push "redirect-gateway def1 ipv6"
push "dhcp-option DNS {{ openvpn_udp_network | ipv4('1') | ipv4('address') }}"
{% if openvpn_udp_network6 is defined and openvpn_udp_network6|length %}
proto udp6
server-ipv6 {{ openvpn_udp_network6 }}
push "route-ipv6 2000::/3"
push "dhcp-option DNS {{ openvpn_udp_network6 | ipv6('1') | ipv6('address') }}"
{% else %}
proto udp
push "ifconfig-ipv6 fd15:53b6:dead::2/64 fd15:53b6:dead::1"
block-ipv6
{% endif %}
push "block-outside-dns"
server {{ openvpn_udp_network | ipv4('network') }} {{ openvpn_udp_network | ipv4('netmask') }}
status /tmp/openvpn-status-udp 10
status-version 3
tcp-nodelay
verify-x509-name UNLIMITED name-prefix
topology subnet
verb 3
